deepin-album (6.0.58) unstable; urgency=medium

  * fix(dialog): disable enableInWindowBlendBlur effect in all dialogs
  * fix: remove redundant blank title from dialog windows
  * [skip CI] Translate deepin-album.ts in ru

 -- Wang Yu <wangyu@uniontech.com>  Mon, 25 May 2026 17:15:55 +0800

deepin-album (6.0.57) unstable; urgency=medium

  * fix(album): refresh album name in context menu after rename
  * fix(view): fix unable to open image already imported via main menu

 -- Wang Yu <wangyu@uniontech.com>  Tue, 19 May 2026 19:22:18 +0800

deepin-album (6.0.56) unstable; urgency=medium

  * fix(view): dynamic timeline title height based on font metrics
  * [skip CI] Translate deepin-album.ts in ru
  * fix(scrollbar): add scrollbar to all collection and imported views
  * fix(view): fix multi-page image thumbnails truncated in bottom toolbar
  * fix(view): refresh album views after returning from image viewer

 -- Wang Yu <wangyu@uniontech.com>  Thu, 14 May 2026 19:34:26 +0800

deepin-album (6.0.55) unstable; urgency=medium

  * chore: bump version to 6.0.55

 -- Wang Yu <wangyu@uniontech.com>  Sat, 09 May 2026 17:19:07 +0800

deepin-album (6.0.54) unstable; urgency=medium

  * fix(video): refresh thumbnail and duration after camera recording
  * [skip CI] Translate deepin-album.ts in ja
  * fix(viewer): use Qt6 FileDialog API for opening images
  * fix: Keyboard shortcut issue
  * fix: disable filename editing and show original name in trash
  * fix(thumbnail): use DCI icon for damaged image with theme support
  * fix(sidebar): refresh album paths before showing context menu
  * fix: move menu separator above first custom album item

 -- Wang Yu <wangyu@uniontech.com>  Sat, 09 May 2026 11:39:08 +0800

deepin-album (6.0.53) unstable; urgency=medium

  * fix(preview): use scaled decoding to bypass unionimage 4096 limit
  * fix(preview): show navigation menu only when image is zoomed in
  * fix(slideshow): disable prev/next buttons for single image slideshow

 -- Wang Yu <wangyu@uniontech.com>  Thu, 23 Apr 2026 19:57:47 +0800

deepin-album (6.0.52) unstable; urgency=medium

  * fix(import): remove DB record when importing empty folder
  * fix: auto-navigate to new album after creation from context menu
  * fix: hide filter button when no photos or videos exist
  * fix: connect delete signal for imported images deletion

 -- Wang Yu <wangyu@uniontech.com>  Thu, 16 Apr 2026 20:40:38 +0800

deepin-album (6.0.51) unstable; urgency=medium

  * chore: Unify linglong.yaml

 -- wangrong <wangrong@uniontech.com>  Thu, 05 Mar 2026 19:22:22 +0800

deepin-album (6.0.50) unstable; urgency=medium

  * chore: Update compiler flags for security enhancements

 -- wangrong <wangrong@uniontech.com>  Wed, 04 Feb 2026 10:48:40 +0800

deepin-album (6.0.49) unstable; urgency=medium

  * chore: Update version to 6.0.49
  * fix(ui): scale large images and preserve original dimensions
  * feat: Support mips64 linglong build (#374)

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 12 Dec 2025 10:08:02 +0800

deepin-album (6.0.48) unstable; urgency=medium

  * fix bug.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 05 Dec 2025 13:53:12 +0800

deepin-album (6.0.47) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 23 Oct 2025 19:46:17 +0800

deepin-album (6.0.46) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:03:40 +0800

deepin-album (6.0.45) unstable; urgency=medium

  * fix: Update layout and icon size in AlbumTitle.qml

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 16 Sep 2025 14:54:07 +0800

deepin-album (6.0.44) unstable; urgency=medium

  * fix: Fixed CMYK image display issue Fixed CMYK image display issue

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 15 Aug 2025 10:04:43 +0800

deepin-album (6.0.43) unstable; urgency=medium

  * fix: Add Lao translations to deepin-album.desktop

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:36:45 +0800

deepin-album (6.0.42) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 13 Aug 2025 11:39:40 +0800

deepin-album (6.0.41) unstable; urgency=medium

  * chore: Update .gitignore and clean up Lao translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 10:43:40 +0800

deepin-album (6.0.40) unstable; urgency=medium

  * fix: Handling translation errors in lo languages (#359)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 08 Aug 2025 15:55:29 +0800

deepin-album (6.0.39) unstable; urgency=medium

  * Update version to 6.0.39.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 13:53:15 +0800

deepin-album (6.0.38) unstable; urgency=medium

  * Update version to 6.0.38. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 19:44:28 +0800

deepin-album (6.0.37) unstable; urgency=medium

  * feat: Image format extension support

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 23 Jul 2025 15:12:27 +0800

deepin-album (6.0.36) unstable; urgency=medium

  * chore: Update deepin-manual resources (#354)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 18:56:18 +0800

deepin-album (6.0.35) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 03 Jul 2025 15:28:27 +0800

deepin-album (6.0.34) unstable; urgency=medium

  * update version to 6.0.34.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 20:47:25 +0800

deepin-album (6.0.33) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:14:07 +0800

deepin-album (6.0.32) unstable; urgency=medium

  * chore: New version 6.0.32

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 26 Jun 2025 13:53:28 +0800

deepin-album (6.0.31) unstable; urgency=medium

  * chore: New version 6.0.31

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 25 Jun 2025 14:35:32 +0800

deepin-album (6.0.30) unstable; urgency=medium

  * chore: New version 6.0.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 15:53:51 +0800

deepin-album (6.0.29) unstable; urgency=medium

  * chore: Update translations (#343)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 12:58:38 +0800

deepin-album (6.0.28) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 17:05:41 +0800

deepin-album (6.0.27) unstable; urgency=medium

  * Update to 6.0.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 29 May 2025 16:59:13 +0800

deepin-album (6.0.26) unstable; urgency=medium

  * Update version to 6.0.26

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 22 May 2025 16:10:43 +0800

deepin-album (6.0.25) unstable; urgency=medium

  * Update version to 6.0.25

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 16 May 2025 17:51:07 +0800

deepin-album (6.0.24) unstable; urgency=medium

  * fix: prevent app freeze when using ctrl+A to select all in collection view
  * update version to 6.0.24

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 13 May 2025 14:18:32 +0800

deepin-album (6.0.23) unstable; urgency=medium

  * Update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 09:37:03 +0800

deepin-album (6.0.22) unstable; urgency=medium

  * chore: update translations.
  * fix: Optimize MTP device handling(Bug: 289223)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:29:17 +0800

deepin-album (6.0.21) unstable; urgency=medium

  * chore: update desktop file
  * chore: update translations

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:51:34 +0800

deepin-album (6.0.20) unstable; urgency=medium

  * chore: New version 6.0.20.
  * Fix text color issue after change theme.
  * Fix did not sync rename for infodialog.
  * Update image info after rename.
  * Fix update imported view after delete.

 -- re2zero <yangwu@uniontech.com>  Thu, 20 Mar 2025 18:55:55 +0800

deepin-album (6.0.19) unstable; urgency=medium

  * chore: New version 6.0.19.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 20:08:03 +0800

deepin-album (6.0.18) unstable; urgency=medium

  * fix: Fix image rotate issue(Bug: 298051)
  * i18n: Translate desktop.ts in ja (#305)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:52:24 +0800

deepin-album (6.0.17) unstable; urgency=medium

  * fix: component overlap on deleted view(Bug: 275475)
  * fix: app hangs when access mtp device(Bug: 289223)
  * i18n: Updates for project Deepin Album (#302)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:16:13 +0800

deepin-album (6.0.16) unstable; urgency=medium

  * fix: Fix can not play video issue
  * chore: Update linglong base

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:34:36 +0800

deepin-album (6.0.15) unstable; urgency=medium

  * fix: remove invalid  url
  * fix: SMB display issue on immutable systems(Bug: 299327)

 -- renbin <renbin@uniontech.com>  Thu, 09 Jan 2025 17:37:27 +0800

deepin-album (6.0.14) unstable; urgency=medium

  * chore: New version 6.0.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:51:44 +0800

 deepin-album (6.0.13) unstable; urgency=medium

  * update version to 6.0.13

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 11:56:30 +0800

deepin-album (6.0.12) unstable; urgency=medium

  * fix: Fixed the issue of waiting for restart after exiting (#272)
    Thanks to pengfeixx(Bug: 289903)
  * fix: Remove the freeimage dependency (#273)
    Thanks to pengfeixx
  * fix: sidebar background color(Bug: 290603)(Influence: UI)

 -- renbin <renbin@uniontech.com>  Sat, 07 Dec 2024 11:56:30 +0800

deepin-album (6.0.11) unstable; urgency=medium

   * update version to 6.0.11
   * [animation] add config enable/disable sidebar switch animation

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 22 Nov 2024 16:10:32 +0800

deepin-album (6.0.10) unstable; urgency=medium

   * update version to 6.0.10
   * fix: [review] When the sidebar content is fully displayed, only the vertical scroll wheel is used
   * feat: Replace the daily view with V20 QWidget control
   * feat: Replace the import view with V20 QWidget control
   * fix: [UI] v20 day view and import view style adjust 1st

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 25 Oct 2024 10:46:05 +0800

deepin-album (6.0.9) unstable; urgency=medium

   * update version to 6.0.9
   * fix: Resolve the issue of the probability of crashing when switching to an imported view

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 27 Sep 2024 09:58:03 +0800

deepin-album (6.0.8) unstable; urgency=medium

   * update version to 6.0.8
   * chore: [merge] merge imageviewer newer code to album
   * fix: fix some bugs about adapt qt6
   * feat: [translation]add transifex config

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 20 Sep 2024 16:34:03 +0800

deepin-album (6.0.7) unstable; urgency=medium

   * update version to 6.0.7
   * feat: adapt to Qt6
   * feat: merge new imageviewer code to album

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 5 Sep 2024 19:13:03 +0800

deepin-album (6.0.6) unstable; urgency=medium

  * fix: Search box centering issue fixed(Bug: 219083)
  * feat: [Animation] Collection year month day view add zoom out fade out dynamic effect(Bug: 168549)
  * feat: [Animation] Add large image preview with reverse animation effect(Bug: 168549)
  * fix: [UI] Add a semi transparent background effect to the sidebar(Bug: 265267)
  * fix: [UI] Add hover status display to the sidebar sub item(Bug: 268929, 268925)
  * feat: [Config] Add large image preview animation duration config(Bug: 168549)
  * fix: [Config] The default width and height adjustment of the main window is 1150 * 800(Bug: 268195)
  * fix: [UI] Adjustment of Top and Bottom Margins in Year Month View(Bug: 268925)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 22 Aug 2024 13:41:03 +0800

deepin-album (6.0.5) unstable; urgency=medium

  * chore: Add sidebar menu switching animation
  * chore: Add large image preview animation
  * chore: Add dynamic effects for switching between year, month, and day views
  * chore: Increase the proportion of images to switch dynamic effects

 -- wangyu <wangyu@uniontech.com>  Thu, 15 Aug 2024 19:22:14 +0800

deepin-album (6.0.4) unstable; urgency=medium

  * chore: URL path to local path rectification, unified use of the localPath interface for processing
  * fix: Fix the issue of excessive display of high definition screen icons(Issue: https://github.com/linuxdeepin/developer-center/issues/4884)
  * refator: Improved functionality for 'import from file' and device list
  * fix: Optimization of startup time when attaching peripherals to photo albums(Bug: 185733)
  * perf: memory optimization
  * perf: Standardize anchor layout code
  * perf: Change the abuse of the Rectangle component to Item to avoid drawing the same area multiple times
  * perf: Simplify ThumbnailImage control related code
  * refactor: GlobalVar.qml with various statuses stored on the C++ backend
  * perf: Optimize the startup time of the album and solve some bugs
  * perf: Optimize the loading speed of thumbnail list proxy controls
  * fix: [UI] Rectify the display issue where the page is empty(Bug: 167825)
  * fix: Fix the issue of photo album flickering when there is an smb path(Bug: 217933)
  * fix: Fix the issue of album restart failure after importing linked images(Bug: 218077)
  * chore: [UI] Optimize thumbnail display effect(Bug: 192973)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 06 Sep 2023 10:42:03 +0800

deepin-album (6.0.3) unstable; urgency=medium

  * chore: 优化isImage、isVideo接口处理逻辑(Bug: 192995)
  * fix: AboutDialog's titlebar tearing shadow(Issue: 4222)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 May 2023 13:33:17 +0800

deepin-album (6.0.2) unstable; urgency=medium

  * Update version to 6.0.2

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 04 Apr 2023 16:02:34 +0800

deepin-album (6.0.0) unstable; urgency=medium

  * Initial release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 15 Jun 2022 16:28:35 +0800

deepin-album (1.0) unstable; urgency=medium

  * Pre-release for deepin album 5.0

 -- TagBuilder <tagbuilder@deepin.com>  Mon, 23 May 2016 14:20:26 +0000
